using System;
using System.Collections.Generic;
using System.Text;
using Entities;

namespace Domain
{
    public interface IOrder : IEntity
    {
        void Cancel();

        float Amount { get; set; }
        IEnumerable<IOrderLine> OrderLines { get; }

        void AddProduct(IProduct p, float quantity);
    }
}
