using System;
using System.Collections.Generic;
using System.Text;
using Entities;

namespace Domain.Implementation
{
    public class OrderLine : BaseEntity, IOrderLine
    {
        private IProduct product;
        public virtual IProduct Product
        {
            get { return product; }
            set { product = value; }
        }

        private IOrder order;
        public virtual IOrder Order
        {
            get { return order; }
            set { order = value; }
        }

        private float quantity;
        public virtual float Quantity
        {
            get { return quantity; }
            set { quantity = value; }
        }

        private float discount;
        public virtual float Discount
        {
            get { return discount; }
            set { discount = value; }
        }
    }
}
