using System;
using System.Collections.Generic;
using System.Text;

using NHibernate;

namespace Domain.Persistence
{
    public class CustomerFetchingStrategy : IFetchingStrategy<ICustomer>
    {
        public ICriteria AddFetchJoinTo(ICriteria criteria)
        {
            criteria.SetFetchMode("orders", FetchMode.Eager).
                SetFetchMode("orders.orderLines", FetchMode.Eager);

            return criteria;
        }
    }
}
