using System;
using System.Collections.Generic;
using System.Text;
using Entities;

namespace Domain
{
    public interface ICustomer : IEntity
    {
        IOrder CreateOrder();

        string Name { get; set; }
        IEnumerable<IOrder> Orders { get; }

        float Discount { get; }
    }
}
